Package org.gradle.api.model

# Annotation Type ReplacedBy

@Documented @Retention(RUNTIME) @Target({METHOD,FIELD}) public @interface ReplacedBy

Attached to a task property to indicate that the property has been replaced by another. Like `Internal`, the property is ignored during up-to-date checks.

This annotation should be attached to the getter method in Java or the property field in Groovy. You should also consider adding `Deprecated` to any replaced property.

This will cause the task not to be considered out-of-date when the property has changed.

Since:
  5.4

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `value`
  The Java Bean-style name of the replacement property.

- ## Element Details

  - ### value

    String value
    The Java Bean-style name of the replacement property.

    If the property has been replaced with a method named `getFooBar()`, then this should be `fooBar`.